﻿@using DotNetNuke.Web.DDRMenu;
@using System.Dynamic;
@inherits DotNetNuke.Web.Razor.DotNetNukeWebPage<dynamic>

@{
    var root = Model.Source.root;
}

@helper RenderNodes(IList<MenuNode> nodes) {
    if (nodes.Count > 0) {
        <ul class="nav nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="true">
            @foreach (var node in nodes) {
                String isActive = "";
                string isDisabled = "";
                if (node.Selected) { isActive = "active"; }
                if (!node.Enabled) { isDisabled = "disabled"; }

                if (node.HasChildren()) {
                    <li class="nav-item">
                        <a title="@node.Text" href="#" class="@isActive sub-menu nav-link">
                            <i class="nav-icon material-icons-outlined">home</i><p>@node.Text<i class="right material-icons-outlined">expand_more</i></p>
                        </a>
                        @RenderChildNodes(node.Children)
                    </li>
                } else {
                    <li class="nav-item">
                        <a title="@node.Text" href="@node.Url" class="@isActive @isDisabled nav-link">
                            <i class="nav-icon material-icons-outlined">home</i><p>@node.Text</p>
                        </a>
                    </li>
                }
            }<!-- ./ for loop -->
        </ul>
    }<!-- ./ node count -->
}<!-- ./ helper -->

@helper RenderChildNodes(IList<MenuNode> nodes) {
    if (nodes.Count > 0)
    {
        <ul class="nav nav-treeview">
            @foreach (var node in nodes)
            {
                String isActive = "";
                string isDisabled = "";
                if (node.Selected) { isActive = "active"; }
                if (!node.Enabled) { isDisabled = "disabled"; }

                if (node.HasChildren()) {
                    <li class="nav-item">
                        <a title="@node.Text" href="@node.Url" class="@isActive @isDisabled sub-menu nav-link">
                            <i class="nav-icon material-icons-outlined">home</i><p>@node.Text</p>
                        </a>
                        @RenderChildNodes(node.Children)
                    </li>
                } else {
                    <li class="nav-item"><a title="@node.Text" href="@node.Url" class="@isActive @isDisabled nav-link">
                        <i class="nav-icon material-icons-outlined">circle</i><p>@node.Text</p>
                    </a></li>
                }
            }
        </ul>
    }
}


    @RenderNodes(root.Children)

